#!/bin/bash
#
# startscript for TuxGuitar
# http://www.herac.com.ar/tuxguitar.html
#
# Copyright (c) 2006 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to oc2pus@arcor.de
#
# Changelog:
# 08.04.2006 initial version (0.5)
# 28.05.2006 added itext.jar to classpath (0.6)
# 28.05.2006 added set_flags "-Xms128m -Xmx128m" (0.6)
# 02.09.2006 added /usr/lib to java.library.path (0.8)
# 27.09.2006 removed itext from classpath
# 30.01.2007 added 64bit paths

# activate for debugging
#set -x

# base settings
echo ""
echo "configure java-environment ..."

VERBOSE=1

# source the jpackage helpers
. /usr/share/java-utils/java-functions

# set JAVA_* environment variables
set_javacmd
check_java_env
set_jvm_dirs

# set classpath
echo "configuring TuxGuitar ..."
CLASSPATH=`build-classpath TuxGuitar swt`:/usr/share/TuxGuitar
# set jar-entry-class
MAIN_CLASS="org.herac.tuxguitar.gui.TGMain"
# path for neede shared libraries
set_options "-Djava.library.path="/usr/lib64/swt:/usr/lib64:/usr/lib/swt:/usr/lib""
set_flags "-Xms128m -Xmx128m"

# start application
echo "starting TuxGuitar application ..."

export LANG=C
run "$@"
