# FIXME: frozen on buildreq
Name: tuxguitar
Version: 1.1
Release: alt2

License: LGPL
Url: http://www.tuxguitar.com.ar/
Group: Sound

Summary: TuxGuitar - a multitrack guitar tablature editor and player

BuildRequires: libalsa-devel
BuildRequires: ant
BuildRequires: ant-nodeps
BuildRequires: dos2unix
#BuildRequires: eclipse-swt-gtk2
BuildRequires: libswt3-gtk2 itext libfluidsynth-devel
#BuildRequires: java-1.6.0-sun-devel
#BuildRequires: java-1_5_0-sun-devel >= 1.5
BuildRequires: rpm-build-java
#BuildRequires: update-alternatives
#BuildRequires: update-desktop-files
BuildRequires: xml-commons-apis
#Requires: eclipse-swt-gtk2
Requires: itext

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sf.net/tuxguitar/tuxguitar-src-%version.tar.bz2
Source1: TuxGuitar.sh
Source3: TuxGuitar.png

%description
TuxGuitar is a multitrack guitar tablature editor and player. It can
open GP3, GP3 and GP5 files.

With TuxGuitar, you will be able to compose music using the following features:
* Tablature editor
* Score Viewer
* Multitrack display
* Autoscroll while playing
* Note duration management
* Various effects (bend, slide, vibrato, hammer-on/pull-off)
* Support for triplets (5,6,7,9,10,11,12)
* Repeat open and close
* Time signature management
* Tempo management
* Imports and exports gp3,gp4 and gp5 files

Author: Julian Casadesus <julian@casadesus.com.ar>

%prep
%setup -q -n tuxguitar-src-%version

# don't strip
%__subst 's|install -s|install |g' \
	Makefile
# fix path
%__subst "s|/usr/lib|%_libdir|g" misc/%name.sh

%build
export CFLAGS="$RPM_OPT_FLAGS -I$JAVA_HOME/include -I$JAVA_HOME/include/linux"
test -f %_libdir/java/swt.jar
test -f %_javadir/itext.jar
make \
	JAVA_HOME=$JAVA_HOME \
	SWT_JAR=%_libdir/java/swt.jar \
	ITEXT_JAR=%_javadir/itext.jar
#	SWT_JAR=%_javadir/swt/swt-gtk-3.3.1.1.jar \

%install
install -dm 755 %buildroot%_libdir
install -dm 755 %buildroot%_datadir/%name/
install -dm 755 %buildroot%_docdir/%name/

%makeinstall_std \
	DESTDIR=%buildroot \
	INSTALL_LIB_DIR=%buildroot%_libdir \
	INSTALL_DOC_DIR=%buildroot%_docdir/%name \
	INSTALL_SHARE_DIR=%buildroot%_datadir/%name \
	INSTALL_JAR_DIR=%buildroot%_datadir/%name

%make_install install-linux \
	DESTDIR=%buildroot \
	INSTALL_LIB_DIR=%buildroot%_libdir

# plugins
install -dm 755 %buildroot%_datadir/%name/share/plugins
for i in alsa ascii compat gtp jsa lilypond midi musicxml oss pdf ptb tef tray; do
	install -m 644 TuxGuitar-$i/*.jar \
		%buildroot%_datadir/%name/share/plugins
done

# man-page
install -dm 755 %buildroot%_man1dir
install -pm 644 misc/*.1 \
	%buildroot%_man1dir

# startscript
#install -dm 755 %buildroot%_bindir
#install -m 755 %SOURCE1 \
#install -m 755 misc/%name.sh \
#	%buildroot%_bindir

# icon
install -dm 755 %buildroot%_pixmapsdir
install -m 644 %SOURCE3 \
	%buildroot%_pixmapsdir

install -dm 755 %buildroot%_desktopdir/
# menu
cat > %buildroot%_desktopdir/%name.desktop <<EOF
[Desktop Entry]
Name=%name
Comment=A multitrack guitar tablature editor and player
Comment[fr]=Edite et joue des tablatures de guitare
Exec=%name
Icon=%name.png
Terminal=false
Type=Application
Categories=Audio;Video;Music;Multimedia;
EOF

rm -rf %buildroot%_docdir/%name

#%post
#pushd %_javadir/%name/share > /dev/null
#	ln -s %_datadir/%name/* .
#popd  > /dev/null

#%postun
#rm -r %_javadir/%name/share


%files
%doc AUTHORS ChangeLog COPYING LICENSE README
#%doc %_docdir/%name
%_bindir/tuxguitar
#%_bindir/*.sh
%_libdir/*.so
#%dir %_javadir/%name
#%_javadir/%name/*.jar
%dir %_datadir/%name
%_datadir/%name/*.jar
%dir %_datadir/%name/share/
%_datadir/%name/share/*
#%dir %_datadir/%name
%_datadir/%name/tuxguitar.tg
%dir %_datadir/%name/help
%_datadir/%name/help/*
%dir %_datadir/%name/scales
%_datadir/%name/scales/*
%dir %_datadir/%name/lang
%_datadir/%name/lang/*
%dir %_datadir/%name/skins
%_datadir/%name/skins/*
%_man1dir/*
%_desktopdir/*.desktop
%_pixmapsdir/*.png

%changelog
* Thu Oct 01 2009 Vitaly Lipatov <lav@altlinux.ru> 1.1-alt2
- subst /usr/lib with %_libdir (fix #21799)
- remove jpackage utils (fix #21521)

* Fri Sep 11 2009 Vitaly Lipatov <lav@altlinux.ru> 1.1-alt1
- new version 1.1 (with rpmrb script)

* Sat Jun 21 2008 Vitaly Lipatov <lav@altlinux.ru> 1.0-alt1
- new version (1.0)
- rewrote spec, use external itext

* Sat May 17 2008 Vitaly Lipatov <lav@altlinux.ru> 1.0rc4-alt1
- initial build for ALT Linux Sisyphus (thanks to SUSE for spec)

* Fri Apr 04 2008 Toni Graffy <toni@links2linux.de> - 1.0rc3-0.pm.1
- update to 1.0rc3
- changed BuildArch as this package contains two shared libs
- TuxGuitar-alsa is obsoleted now
* Mon Oct 29 2007 Toni Graffy <toni@links2linux.de> - 0.9.1-0.pm.2
- rebuild with new eclipse-swt-gtk2 package
* Wed Jan 31 2007 Toni Graffy <toni@links2linux.de> - 0.9.1-0.pm.1
- update to 0.9.1
* Tue Jan 30 2007 Toni Graffy <toni@links2linux.de> - 0.9-0.pm.1
- update to 0.9
* Wed Sep 27 2006 Toni Graffy <toni@links2linux.de> - 0.8-0.pm.1
- build for packman
- added itext.jar as internal lib
* Sat Sep 02 2006 oc2pus <oc2pus@arcor.de> - 0.8-0.oc2pus.2
- rebuild, change in start-script for alsa-plugin
* Thu Aug 24 2006 oc2pus <oc2pus@arcor.de> - 0.8-0.oc2pus.1
- update to 0.8
* Mon Jul 17 2006 oc2pus <oc2pus@arcor.de> - 0.7-0.oc2pus.1
- update to 0.7
- switched to ant-build
- repacked without lib/* as tar.gz2
* Sun Jun 10 2006 oc2pus <oc2pus@arcor.de> - 0.6-0.oc2pus.2
- corrected desktop-entry
* Sun May 28 2006 oc2pus <oc2pus@arcor.de> - 0.6-0.oc2pus.1
- update to 0.6
- added itext to dependencies
* Sat Apr 08 2006 oc2pus <oc2pus@arcor.de> - 0.5-0.oc2pus.1
- First packaged release 0.5
- repacked without swt.jar and native libs (jameica-swt3-gtk)
